Subject: Re: [patch 1/5] d80211: remove bitfields from ieee80211_tx_control

From: Michael Buesch <[email-masked]>
Date: Mon, 16 Oct 2006 22:05:35 +0200

On Monday 16 October 2006 21:34, Simon Barber wrote:
> Removing the bitfields makes the code much harder to read and maintain.
> Here we are working around a problem with the compiler by making the
> code ugly - rather than fixing the compiler. The compilers are getting
> better and better (GCC 4 has much better handling of this type of
> optimization) but the code will remain ugly for ever.

Yeah, that's my opinion on this, too.

But I still like the  unsigned int foo:16; => u16 foo;  type of conversions.

-- 
Greetings Michael.